# サンプル素材

Chapter4 ~ Chapter6の製作に必要な素材です。

それぞれの`Resources`の中にあるデータはサンプルゲームの作成にそのまま利用できます。

また、それぞれのゲームをRetina対応する場合などに利用できる`image-hd`も別途同梱しています。

Chapter6には、SpriteStudio, CocosStudio, CRI Atom Craftのサンプル用プロジェクトを同梱しています。

## CocosStudioのサンプルプロジェクトについて

CocosStudioの仕様上、プロジェクトファイルに作業環境の絶対パスが埋め込まれてしまいます。

そのため、他所で作成したファイルをそのまま開いて使用することはできません。

本書で使用しているCocosStudioのプロジェクトファイルを閲覧したい場合は、以下のようにサンプルファイルを編集してください。

1. Chapter6/CocosStudioフォルダ以下のファイルをコピーする
2. テキストエディタで`CocosStudio/CocoStudio.xml.ccsproj`を開く
3. 筆者環境の絶対パスが埋め込まれているため、利用したい環境の物に書き換える

```
  <ProjectDir>C:\Users\giginet\Documents\GitHub\KawazCrash</ProjectDir>
```

```
  <ProjectDir>C:\Users\<username>\pass\to\your\CocosStudio</ProjectDir>
```

また、`CocosStudio/CocosStudio/ccsproj`以下の`*.xml.scene`、`*.xml.ui`ファイルについても、同様にファイルパスの書き換えを行ってください。


